[Overview][Classes][Procedures and functions][Index] | Reference for unit 'JSONPropStorage' (#lcl)

# TCustomJSONPropStorage.FreeStorage

Frees the TJSONConfig storage mechanism when no longer needed.

## Declaration

Source position: jsonpropstorage.pas line 38

`public procedure TCustomJSONPropStorage.FreeStorage; override;`

## Description

Frees the JSON storage mechanism in JSONConf when the internal usage counter reaches 0 (zero).

FreeStorage is called from methods like: Save, Restore, SaveProperties, RestoreProperties, ReadString, WriteString, ReadInteger, WriteInteger, and EraseSections.

See StorageNeeded for the actions performed when the JSON storage mechanism in JSONConf is allocated and configured for the class instance.

## See also

TCustomJSONPropStorage.JSONConf |  | TJSONConfig instance used to store path/value pairs.